[问题]U 8.04.1上安装飞鸽传书,无法发中文消息!!!!!!

为当前最终发行版之前的所有版本提供支持
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

[问题]U 8.04.1上安装飞鸽传书,无法发中文消息!!!!!!

#1

帖子 jhq0530 » 2008-07-26 2:03

我在8.04.1 上编译安装飞鸽传书,老是碰到无法发送中文信息的BUG。试了三次都是如此,我还为此重装了U了,但问题依旧。
出现的情况是我在UBUNTU上用飞鸽给 局域网中XP上的飞鸽发消息,如果我发的是中文的话,对方飞鸽没反应。而我发英文消息给对方时,对方立即能收到,文件传输是正常的。
从XP用户那个飞鸽发消息过来,如果他发的是中文的话,我收到的全是乱字。

另外我的U,是默认配置的,我都没动过,今天重装U,第一个就是试验飞鸽,还是无法解决发送中文消息的问题。

有哪位高手帮忙解决一下!!!!!!! :cry:
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#2

帖子 jhq0530 » 2008-07-26 13:47

居然没人来回答,伤心死了~~~~~~~~~~~~~~
2ine
帖子: 200
注册时间: 2008-05-02 15:55
送出感谢: 0
接收感谢: 0

#3

帖子 2ine » 2008-07-26 13:50

楼主节哀。。
猜想一下,也许是字符编码的问题吧
头像
athx
帖子: 164
注册时间: 2008-06-11 17:02
送出感谢: 0
接收感谢: 0

#4

帖子 athx » 2008-07-26 14:03

2ine 写了:楼主节哀。。
猜想一下,也许是字符编码的问题吧
应该是
头像
jarryson
帖子: 4002
注册时间: 2005-08-14 19:53
送出感谢: 1 次
接收感谢: 2 次
联系:

#5

帖子 jarryson » 2008-07-26 14:06

那种飞鸽?gtk的,java版的?java版本使用jwt没有问题
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#6

帖子 jhq0530 » 2008-07-31 0:56

是飞鸽传书官方下载的LINUX版本。就是无法传送中文信息,只能发英文的。
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

#7

帖子 xeoc » 2008-07-31 1:01

LZ就不能google一下g2ipmsg的安装?

就算不google,README看了么?说的很清楚..

src里codeset.c里改一下,我这一点问题都么有....
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#8

帖子 jhq0530 » 2008-07-31 14:44

看不懂英文,你既然知道怎么操作,就贴出来嘛
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

#9

帖子 xeoc » 2008-07-31 14:48

jhq0530 写了:看不懂英文,你既然知道怎么操作,就贴出来嘛
修改这个文件 src/codeset.c


改成
#define IPMSG_PROTO_CODE "GBK"

sudo apt-get install gettext intltool libgnomeui-dev libpanelappletmm-2.6-dev


./configure --enable-systray

make

make install

楼主....google里一搜一大堆.....另外,还有一篇<提问的智慧>你搜来看看....
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#10

帖子 jhq0530 » 2008-07-31 15:36

我是按照教程一步步来的啊:

ipmsg 是一个开源的局域网消息和文件传送工具,其最大的优点是可以直接传送文件夹,并且传送速度非常快。ipmsg目前已有了windows, mac, linux版本。为了从我的Linux(Ubuntu 7.10)传送文件到局域网内一台windows机器,我试着安装了一下。

1、先下载源码
我下载的是for gnome2版本的源码
http://www.ipmsg.org/archive/g2ipmsg-0.9.5.tar.gz

2、解压
在ubuntu中用命令行
tar xzvf g2ipmsg-0.9.5.tar.gz
或者菜单右键用归档管理器解压即可。
为了方便操作先将目录重命名为ipmsg,然后将ipmsg目录剪切到你的主目录下。比如: /home/kaba/ipmsg

3、修改语言,以前的一些版本都需要修改语言说是把CP932改成CP936。0.95版本不需要修改了。

4、安装编译依赖项(这两项是非常重要的)
sudo apt-get install libxml-parser-perl (可能系统中已经有了)
sudo apt-get install libgnomeui-dev
sudo apt-get install libpanel-applet2-dev
sudo apt-get install gettext
sudo apt-get install intltool

5、编译
cd进入ipmsg所在目录后,执行以下操作:
./configure --enable-systray (这里写您自己的飞鸽的configure的路径)
make
sudo make install

这下可用了,重启后在主菜单的附件中将会有Gnome2 IP Messenger的快捷方式。OK,完成,可以在windows和linux之间传送文件或者文件夹了。

终端中启动方法:
kaba@kaba-desktop:~$ cd ipmsg

kaba@kaba-desktop:~/ipmsg$ sudo g2ipmsg

如果要卸载飞鸽的话,先cd 进入该 目录,然后sudo make uninstall
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

#11

帖子 xeoc » 2008-07-31 15:45

0.95还是需要改,不改的话,配置的时候要加参数,readme里有写,那个教程应该是这个意思....
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#12

帖子 jhq0530 » 2008-07-31 15:49

老大,是改这里就行了吗:

修改这个文件 src/codeset.c


改成
#define IPMSG_PROTO_CODE "GBK"



回家试试去,不懂再问
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#13

帖子 jhq0530 » 2008-07-31 15:55

对了,有些教程编译的时候是:
./configure --prefix=/usr --sysconfdir=/etc --enable-systray

有些教程只是:
./configure --enable-systray

有什么区别啊?????



查到了,原来是指定安装路径 和配置文档的路径 :D
上次由 jhq0530 在 2008-07-31 15:58,总共编辑 1 次。
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

#14

帖子 xeoc » 2008-07-31 15:58

jhq0530 写了:老大,是改这里就行了吗:

修改这个文件 src/codeset.c


改成
#define IPMSG_PROTO_CODE "GBK"



回家试试去,不懂再问

这个文件里面的那一行....不要全清了,呵呵

readme里是./configure --prefix=/usr --sysconfdir=/etc --enable-systray

将配置文件放在/etc?我感觉没必要....
头像
jhq0530
帖子: 41
注册时间: 2007-10-13 23:33
送出感谢: 0
接收感谢: 0

#15

帖子 jhq0530 » 2008-07-31 16:03

xeoc 写了:
jhq0530 写了:老大,是改这里就行了吗:

修改这个文件 src/codeset.c


改成
#define IPMSG_PROTO_CODE "GBK"



回家试试去,不懂再问

这个文件里面的那一行....不要全清了,呵呵

readme里是./configure --prefix=/usr --sysconfdir=/etc --enable-systray

将配置文件放在/etc?我感觉没必要....


嗯是啊,刚在百度里找到这两个参数的说明了
回复

回到 “老旧版本支持”